#ifndef _M33_H_
#define _M33_H_

#include "v3.h"

class M33 {

  V3 rows[3];
public:
  M33(V3 *_rows);
  M33();
  V3& operator[](int i);
  friend ostream& operator<<(ostream &ostr, M33 &m);
  V3 operator*(V3 &v);
  M33 operator*(M33 &op1);
  M33 operator+(M33 &op1);
  void SetColumn(int i, V3 &v);
  V3 GetColumn(int i);
  M33 Inverted();
};

#endif
